### Method

# St Widget get_style_pseudo_class

#### Declaration [src]

    const gchar*
    st_widget_get_style_pseudo_class (
      StWidget* actor
    )

#### Description [src]

Get the current style pseudo class list.

Note that an actor can have multiple pseudo classes; if you just want to test for the presence of a specific pseudo class, use st_widget_has_style_pseudo_class().

#### Return value

Type: `const gchar*`

The pseudo class list string. The string is owned by the `StWidget` and should not be modified or freed.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.